CXXFLAGS= -Wall -g -std=c++0x 
OBJECTS= game.o
EXE=main
all: $(EXE)

$(EXE): $(OBJECTS)
	$(CXX) $(CXXFLAGS) $(OBJECTS) -o $@
game.o: game.cpp
run: main
	./main

clean:
	@rm -vf *.o
	@rm -vf $(EXE)
	@rm -vf *.1
	@rm -vf *.0
	@rm -vf test
	@rm -rvf *.dSYM

drun: main
	gdb ./main

valgrind: $(EXE)
	valgrind --tool=memcheck --leak-check=yes ./$(EXE)
